Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jelly.tags.core
Class IncludeTag

    java.lang.Object
      org.apache.commons.jelly.TagSupport
          org.apache.commons.jelly.tags.core.IncludeTag

All Implemented Interfaces:
  Tag

    public class IncludeTag

extends TagSupport

A tag which conditionally evaluates its body based on some condition

Version:
  $Revision: 155420 $
Author:
  James Strachan

Field Summary

Fields inherited from class org.apache.commons.jelly.TagSupport
`body, context, hasTrimmed, parent, shouldTrim`

Constructor Summary
`IncludeTag()`

Method Summary
`void` | `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`java.io.File` | `getFile()`
`boolean` | `isExport()`
`boolean` | `isInherit()`
`void` | `setExport(java.lang.String export)`
`void` | `setFile(java.io.File file)` Sets the file to be included which is either an absolute file or a file relative to the current directory
`void` | `setInherit(java.lang.String inherit)`
`void` | `setUri(java.lang.String uri)` Sets the URI (relative URI or absolute URL) for the script to evaluate.

Methods inherited from class org.apache.commons.jelly.TagSupport
`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IncludeTag

    public IncludeTag()

Method Detail

### setInherit

    public void setInherit(java.lang.String inherit)

### setExport

    public void setExport(java.lang.String export)

### isInherit

    public boolean isInherit()

### isExport

    public boolean isExport()

### getFile

    public java.io.File getFile()

  Returns:

### setFile

    public void setFile(java.io.File file)

  Sets the file to be included which is either an absolute file or a file relative to the current directory

### doTag

    public void doTag(XMLOutput output)
               throws MissingAttributeException,
                      JellyTagException

  Description copied from interface: `Tag`
  Evaluates this tag after all the tags properties have been initialized.

  Throws:
    `MissingAttributeException`
    `JellyTagException`

### setUri

    public void setUri(java.lang.String uri)

  Sets the URI (relative URI or absolute URL) for the script to evaluate.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.